> For the complete documentation index, see [llms.txt](https://knowledge.out-smart.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://knowledge.out-smart.com/openapi/warehouse-materials.md).

# Warehouse Materials

## Get warehouse materials

> This api is used to retrieve a list of warehouse materials from OutSmart.  \
> Each records contains the following data:\
> \
> \| Parameter | Description | Type (size) |\
> \| --- | --- | --- |\
> \| wsa\_article\_code | Code of an existing article/material in OutSmart | Varchar (255) |\
> \| wsa\_article\_description | The name of the material | Varchar (255) |\
> \| wsa\_wse\_code | Code of an existing warehouse in OutSmart | Varchar (55) |\
> \| wsa\_wse\_description | The name of the warehouse | Varchar (255) |\
> \| wsa\_maximum\_amount | The maximum amount of this article within this warehouse | Decimal |\
> \| wsa\_order\_amount | Order amount (minimum stock level) for this articel in this warehouse | Decimal |\
> \| wsa\_current\_amount | The initial/current amount of this article in this warehouse | Decimal |\
> \| wsa\_optimal\_amount | The desired stock level for this article in this warehouse | Decimal |\
> \
> To filter the list of results, the following parameters can be provided within the request url:\
> \
> \| Parameter | Description | Type (size) |  \
> \| --- | --- | --- |  \
> \| wsa\_article\_code | Code of an existing article/material in OutSmart | Varchar (255) |  \
> \| wsa\_wse\_code | Code of an existing warehouse in OutSmart | Varchar (55) |

```json
{"openapi":"3.1.0","info":{"title":"OpenApi","version":"1.0.0"},"servers":[{"url":"{{api_url}}"},{"url":"https://www.werkbonapp.nl"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}},"paths":{"/warehouse-material/":{"get":{"summary":"Get warehouse materials","parameters":[{"name":"token","in":"query","schema":{"type":"string"}},{"name":"software_token","in":"query","schema":{"type":"string"}},{"name":"wsa_wse_code","in":"query","schema":{"type":"integer"}},{"name":"wsa_article_code","in":"query","schema":{"type":"integer"}}],"responses":{"200":{"description":"Response_200"}},"tags":["Warehouse Materials"],"description":"This api is used to retrieve a list of warehouse materials from OutSmart.  \nEach records contains the following data:\n\n| Parameter | Description | Type (size) |\n| --- | --- | --- |\n| wsa_article_code | Code of an existing article/material in OutSmart | Varchar (255) |\n| wsa_article_description | The name of the material | Varchar (255) |\n| wsa_wse_code | Code of an existing warehouse in OutSmart | Varchar (55) |\n| wsa_wse_description | The name of the warehouse | Varchar (255) |\n| wsa_maximum_amount | The maximum amount of this article within this warehouse | Decimal |\n| wsa_order_amount | Order amount (minimum stock level) for this articel in this warehouse | Decimal |\n| wsa_current_amount | The initial/current amount of this article in this warehouse | Decimal |\n| wsa_optimal_amount | The desired stock level for this article in this warehouse | Decimal |\n\nTo filter the list of results, the following parameters can be provided within the request url:\n\n| Parameter | Description | Type (size) |  \n| --- | --- | --- |  \n| wsa_article_code | Code of an existing article/material in OutSmart | Varchar (255) |  \n| wsa_wse_code | Code of an existing warehouse in OutSmart | Varchar (55) |"}}}}
```

## Add warehouse materials

> This api is used to create materials to warehouses within OutSmart.  \
> Each warehouse material record can contain the following data:\
> \
> \| Parameter | Description | Required | Type (size) |\
> \| --- | --- | --- | --- |\
> \| wsa\_article\_code | Code of an existing article/material in OutSmart | Y | Varchar (255) |\
> \| wsa\_wse\_code | Code of an existing warehouse in OutSmart | Y | Varchar (55) |\
> \| wsa\_maximum\_amount | The maximum amount of this article within this warehouse | N | Decimal |\
> \| wsa\_order\_amount | Order amount (minimum stock level) for this articel in this warehouse | N | Decimal |\
> \| wsa\_current\_amount | The initial/current amount of this article in this warehouse | Y | Decimal |\
> \| wsa\_optimal\_amount | The desired stock level for this article in this warehouse | N | Decimal |

```json
{"openapi":"3.1.0","info":{"title":"OpenApi","version":"1.0.0"},"servers":[{"url":"{{api_url}}"},{"url":"https://www.werkbonapp.nl"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}},"paths":{"/warehouse-material/":{"post":{"summary":"Add warehouse materials","parameters":[{"name":"token","in":"query","schema":{"type":"string"}},{"name":"software_token","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Response_200"}},"tags":["Warehouse Materials"],"description":"This api is used to create materials to warehouses within OutSmart.  \nEach warehouse material record can contain the following data:\n\n| Parameter | Description | Required | Type (size) |\n| --- | --- | --- | --- |\n| wsa_article_code | Code of an existing article/material in OutSmart | Y | Varchar (255) |\n| wsa_wse_code | Code of an existing warehouse in OutSmart | Y | Varchar (55) |\n| wsa_maximum_amount | The maximum amount of this article within this warehouse | N | Decimal |\n| wsa_order_amount | Order amount (minimum stock level) for this articel in this warehouse | N | Decimal |\n| wsa_current_amount | The initial/current amount of this article in this warehouse | Y | Decimal |\n| wsa_optimal_amount | The desired stock level for this article in this warehouse | N | Decimal |"}}}}
```

## Delete warehouse materials

> This api is used to delete materials warehouses from OutSmart.  \
> Each warehouse material DELETE request must contain the following data:\
> \
> \| Parameter | Description | Required | Type (size) |\
> \| --- | --- | --- | --- |\
> \| wsa\_article\_code | Code of an existing article/material in OutSmart | Y | Varchar (255) |\
> \| wsa\_wse\_code | Code of an existing warehouse in OutSmart | Y | Varchar (55) |

```json
{"openapi":"3.1.0","info":{"title":"OpenApi","version":"1.0.0"},"servers":[{"url":"{{api_url}}"},{"url":"https://www.werkbonapp.nl"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}},"paths":{"/warehouse-material/":{"delete":{"summary":"Delete warehouse materials","parameters":[{"name":"token","in":"query","schema":{"type":"string"}},{"name":"software_token","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Response_200"}},"tags":["Warehouse Materials"],"description":"This api is used to delete materials warehouses from OutSmart.  \nEach warehouse material DELETE request must contain the following data:\n\n| Parameter | Description | Required | Type (size) |\n| --- | --- | --- | --- |\n| wsa_article_code | Code of an existing article/material in OutSmart | Y | Varchar (255) |\n| wsa_wse_code | Code of an existing warehouse in OutSmart | Y | Varchar (55) |"}}}}
```

## Update warehouse materials

> This api is used to update materials to warehouses within OutSmart.  \
> Each warehouse material record can contain the following data:\
> \
> \| Parameter | Description | Required | Type (size) |\
> \| --- | --- | --- | --- |\
> \| wsa\_article\_code | Code of an existing article/material in OutSmart | Y | Varchar (255) |\
> \| wsa\_wse\_code | Code of an existing warehouse in OutSmart | Y | Varchar (55) |\
> \| wsa\_maximum\_amount | The maximum amount of this article within this warehouse | N | Decimal |\
> \| wsa\_order\_amount | Order amount (minimum stock level) for this articel in this warehouse | N | Decimal |\
> \| wsa\_optimal\_amount | The desired stock level for this article in this warehouse | N | Decimal |

```json
{"openapi":"3.1.0","info":{"title":"OpenApi","version":"1.0.0"},"servers":[{"url":"{{api_url}}"},{"url":"https://www.werkbonapp.nl"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}},"paths":{"/warehouse-material/":{"patch":{"summary":"Update warehouse materials","parameters":[{"name":"token","in":"query","schema":{"type":"string"}},{"name":"software_token","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Response_200"}},"tags":["Warehouse Materials"],"description":"This api is used to update materials to warehouses within OutSmart.  \nEach warehouse material record can contain the following data:\n\n| Parameter | Description | Required | Type (size) |\n| --- | --- | --- | --- |\n| wsa_article_code | Code of an existing article/material in OutSmart | Y | Varchar (255) |\n| wsa_wse_code | Code of an existing warehouse in OutSmart | Y | Varchar (55) |\n| wsa_maximum_amount | The maximum amount of this article within this warehouse | N | Decimal |\n| wsa_order_amount | Order amount (minimum stock level) for this articel in this warehouse | N | Decimal |\n| wsa_optimal_amount | The desired stock level for this article in this warehouse | N | Decimal |"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://knowledge.out-smart.com/openapi/warehouse-materials.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
